MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029187Open CASCADE[OCCT] OCCT:VISpublic2017-10-05 14:352017-11-01 12:53
Reporterapn 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformmacOS Sierra 10.12OSOS Version
Product Version 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029187: VIS - TKIVtkDraw should support Cocoa on macOS
DescriptionUSE_VTK option was turned on for successfully testing occt on macOS platform. I'm trying to build occt with vtk-7.1.1 (built with option VTK_USE_X) and get following error:
/OCCT_SRC/src/IVtkDraw/IVtkDraw.cxx:217:15: error: use of undeclared identifier 'Xw_Window'; did you mean 'XtWindow'?
/OCCT_SRC/src/IVtkDraw/IVtkDraw.cxx:217:15: error: template argument for template type parameter must be a type
static Handle(Xw_Window)& GetWindow()
              ^~~~~~~~~

Used vtk: /Users/mnt/tools/WOK680/3rdparty/mac64/vtk-7.1.1
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0022877closedbugmaster Draw Harness - add plugin for VIS component 

-  Notes
(0071346)
git (administrator)
2017-10-11 15:57

Branch CR29187 has been created by apn.

SHA-1: ee7db175d70852c985cfe0923a0362094cebd5f4


Detailed log of new commits:

Author: apn
Date: Wed Oct 11 15:56:44 2017 +0300

    0029187: VIS - TKIVtkDraw should support Cocoa on macOS
    
    Adding support of Cocoa on macOS
    Fox launching test cases on macOS
    Test cases failed when $lst starts with numeral, because upvar guesses that its first parameter is level rather than otherVar.
    The fix is to explicitly supply level to 1 (default value if uplevel is omitted) to avoid tcl exception "expected integer but got 3dviewer".
(0071382)
git (administrator)
2017-10-12 18:01

Branch CR29187 has been updated forcibly by apn.

SHA-1: 2c9aea2ded19f8f5bd85d360c967cf75796345dc
(0071383)
git (administrator)
2017-10-12 18:26

Branch CR29187 has been updated forcibly by apn.

SHA-1: 64040ebb714549e3bb46d68709dbfd4ad0655850
(0071424)
apn (administrator)
2017-10-13 18:40

Dear kgv, could you please review CR29187.
(0071428)
kgv (developer)
2017-10-13 19:00

> Solve compatibility problem with VTK-7.x.x,
> since vtkRenderingFreeTypeOpenGL used only if VTK_OPENGL2_BACKEND is defined.
It looks unrelated to the bug - please move correction for VTK-7 compatibility to another issue.

> Test cases failed when $lst starts with numeral,
> because upvar guesses that its first parameter is level rather than otherVar.
Sorry, how this issue occurred?
It also looks unrelated to this bug.

#ifndef _WIN32
 #include <X11/X.h>
 #include <X11/Shell.h>
 #include <X11/Xlib.h>
 #include <GL/glx.h>
-#include <Xw_Window.hxx>
 #include <vtkXRenderWindowInteractor.h>
 #include <vtkXOpenGLRenderWindow.h>
 #include <X11/Xutil.h>
 #include <tk.h>
#endif

Shouldn't all these X11 includes fail on macOS?

+#elif defined(__APPLE__) && !defined(MACOSX_USE_GLX)
+  // __APPLE__
+#else
+  // _WIN32
+  aRenWin->SetWindowId((void*)GetWindow()->HWindow());
+#endif

How this is supposed to work if Cocoa_Window is not associated with vtkRenderWindow in any way?
Also - broken indentation on these lines.
(0071904)
git (administrator)
2017-11-01 12:53

Branch CR29187 has been updated forcibly by apn.

SHA-1: 18bf6aa82f1a4aae7011dcbd1a7b7b1cb55e1a31

- Issue History
Date Modified Username Field Change
2017-10-05 14:35 apn New Issue
2017-10-05 14:35 apn Assigned To => kgv
2017-10-05 14:42 kgv Assigned To kgv => san
2017-10-05 14:42 kgv Category OCCT:Visualization => OCCT:VIS
2017-10-05 14:42 kgv Summary Compilation error in IVtkDraw => VIS - TKIVtkDraw should support Cocoa on macOS
2017-10-05 14:42 kgv Relationship added child of 0022877
2017-10-11 15:57 git Note Added: 0071346
2017-10-12 18:01 git Note Added: 0071382
2017-10-12 18:26 git Note Added: 0071383
2017-10-13 18:40 apn Test case number => Not needed
2017-10-13 18:40 apn Note Added: 0071424
2017-10-13 18:40 apn Assigned To san => kgv
2017-10-13 18:40 apn Status new => resolved
2017-10-13 19:00 kgv Note Added: 0071428
2017-10-13 19:00 kgv Assigned To kgv => apn
2017-10-13 19:00 kgv Status resolved => assigned
2017-11-01 12:53 git Note Added: 0071904


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker